/*
 * support css for pushbar
 * pushbar.css
 * drawer width: 256px
 * mobile bar. height 63px
 *
 * Prefixed by https://autoprefixer.github.io
 * PostCSS: v8.3.6,
 * Autoprefixer: v10.3.1
 * Browsers: last 4 version
 */

@media (max-width: 750px) {

	#drawer-menu {
		position: fixed;
		top: .75em;
		right: .75em;
		z-index: 99999;
		font-size: clamp(0.75rem, 0.006rem + 3.72vw, 1.75rem); /* 12-28 */
	}

	/* under */
	#drawer-menu.underMenu {
		font-size: clamp(0.813rem, 0.673rem + 0.7vw, 1rem); /* 13-16 */
		top: 1.25em;
	}

	#drawer-menu,
	#drawer-menu-button,
	#drawer-menu .closer,
	#drawer-menu-button .drawer-icon {
		display: block;
		width: 1.75em;
		aspect-ratio: 1;
		background: transparent;
		-webkit-box-sizing: content-box;
		        box-sizing: content-box;
		will-change: transform;
		-webkit-transition: all 0.5s ease;
		-o-transition: all 0.5s ease;
		transition: all 0.5s ease;
	}

	/* under */
	#drawer-menu.underMenu,
	#drawer-menu.underMenu #drawer-menu-button,
	#drawer-menu.underMenu #drawer-menu .closer,
	#drawer-menu.underMenu #drawer-menu-button .drawer-icon {
		display: block;
		width: 1.75em;
		aspect-ratio: 1;
		background: transparent;
		-webkit-box-sizing: content-box;
		        box-sizing: content-box;
		will-change: transform;
		-webkit-transition: all 0.5s ease;
		-o-transition: all 0.5s ease;
		transition: all 0.5s ease;
	}

	#drawer-menu-button {
		position: relative;
	}
	#drawer-menu .closer {
		display: none; 
		padding: 16px;
		position: absolute;
		top: 0;
		left: 0;
		z-index: 1000;
	}
	#drawer-menu-button .drawer-icon,
	#drawer-menu.underMenu #drawer-menu-button .drawer-icon,
	#drawer-menu-button::before,
	#drawer-menu-button::after {
		content: "";
		display: block;
		width: 100%;
		height: .15em;
		background: #333;
		position: absolute;
		left: 0;
		will-change: transform;
		-webkit-transition: all 0.5s ease;
		-o-transition: all 0.5s ease;
		transition: all 0.5s ease;
	}
	#drawer-menu-button .drawer-icon { top: calc( 50% - 1px ); }
	#drawer-menu-button::before { top: 0; }
	#drawer-menu-button::after { bottom: 0; }

	.pushbar_locked #drawer-menu {
		margin: 0 0 5px;
	}
	.pushbar_locked #drawer-menu-button { 
		pointer-events: none;
		z-index: 1;
	}
	.pushbar_locked #drawer-menu .closer {
		display: block; 
		cursor: pointer;
		z-index: 2000;
		pointer-events: auto;
	}
	.pushbar_locked #drawer-menu-button .drawer-icon,
	.pushbar_locked #drawer-menu.underMenu #drawer-menu-button .drawer-icon {
		background-color: transparent;
	}
	.pushbar_locked #drawer-menu-button::before ,
	.pushbar_locked #drawer-menu-button::after {
		background: #fff;
		top: 16px;
	}
	.pushbar_locked #drawer-menu-button::before {
		-webkit-transform: rotate(45deg);
		    -ms-transform: rotate(45deg);
		        transform: rotate(45deg);
	}
	.pushbar_locked #drawer-menu-button::after {
		-webkit-transform: rotate(-45deg);
		    -ms-transform: rotate(-45deg);
		        transform: rotate(-45deg);
	}

	.pushbar_locked #drawer-menu.addmenu::after { color: #fff; }

	/* ---------------------------------------- drawer menu */
	
	#drawer { 
		background: #019644;
		font-size: 14px;
	}
	#drawer > ul { 
		line-height: 1.5;
		text-align: center;
		padding: 4em 0 6em; 
	}
	#drawer > ul li:not(:last-child) { border-bottom: 1px #fff solid; }
	#drawer > ul li a {
		display: block;
		color: #fff;
		font-weight: 600;
		padding: 1.25em 0;
		cursor: pointer;
	}
	#drawer ul li.secondlist span { 
		display: block;
		color: #019644;
		background: #fff;
		padding: 1em 0; 
	}
	#drawer ul li.secondlist ul li:not(:last-child) { border-bottom: 1px #fff dashed; }

	#drawer .closer { padding: 0 2em; }
	[data-pushbar-direction="left"] .closer { text-align: right; }
	[data-pushbar-direction="right"] .closer { text-align: left; }


	.pushbar_locked .pushbar_main_content.pushbar_blur {
		filter: blur(0);
	}

	.pushbar_overlay {
		z-index: -999;
		position: fixed;
		width: 100%;
		height: 100%;
		top: 0;
		left: 0;
		will-change: opacity;
		transition: opacity 0.5s ease;
		opacity: 0;
		background: #fff;
	}
	
	html.pushbar_locked .pushbar_overlay {
		opacity: 0.5;
		z-index: 999;
	}

	html.pushbar_locked #drawer-menu {
		right: 1.5em;
	}
}